Skip to content

insertPurchaseInvoice

DESTRUCTIVE

Insert purchase invoice.

POST /api/v1/invoicing/insertPurchaseInvoice
curl -X POST '<your-host>/api/v1/invoicing/insertPurchaseInvoice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string"
  }'
Response
{
  "id": "string",
  "invoiceId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string"
    },
    "invoiceId": {
      "type": "string"
    },
    "supplierReference": {
      "type": "string"
    },
    "paymentTermId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "invoiceSupplierId": {
      "type": "string"
    },
    "invoiceSupplierContactId": {
      "type": "string"
    },
    "invoiceSupplierLocationId": {
      "type": "string"
    },
    "dateIssued": {
      "type": "string"
    },
    "dateDue": {
      "type": "string"
    },
    "exchangeRate": {
      "type": "number"
    },
    "exchangeRateUpdatedAt": {
      "type": "string"
    },
    "supplierShippingCost": {
      "type": "number"
    },
    "customFields": {}
  },
  "required": [
    "supplierId"
  ]
}